- Create Documentation
- Get Latest Documentations
- Get Documentations By Object
- Get Documentation
- Get Documentations List
- Update Documentation
- Delete Documentation
POST /api/v1/core/documentCreate a new asset document in the database.Responseboolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/core/document" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"success": true,
"message": "Create a new asset document in the database.",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
POST /api/v1/core/document/latestGet latest documents with pagination, sorting, filtering and search.Responseboolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
object[]
string
Example:
"ba07a1c1-82f1-4a85-b598-c5bd2e5bfb1a".string
Example:
"tag".string
Example:
"5fe4b86b-d2a3-4c41-8ff9-2462f6724e7e".string
Example:
"governance_tag".string
Example:
"document".object[]
string
Example:
"2026-09-20T05:07:49.872544Z".string
Example:
"87efd845-c1f5-4c65-8a2a-1ecc91736c30".integer
Example:
3.curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/core/document/latest" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"success": true,
"message": "Get latest documents with pagination, sorting, filtering and search.",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {
"data": [
{
"id": "ba07a1c1-82f1-4a85-b598-c5bd2e5bfb1a",
"category": "tag",
"object_id": "5fe4b86b-d2a3-4c41-8ff9-2462f6724e7e",
"object_qualified_name": "governance_tag",
"name": "document",
"content": [],
"created_at": "2026-09-20T05:07:49.872544Z",
"created_by": "87efd845-c1f5-4c65-8a2a-1ecc91736c30"
}
],
"total_count": 3
}
}
POST /api/v1/core/document/{category}/{objectId}Get Documentations By ObjectPath Parametersstring
required
Example: “
string
required
Example: “
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/core/document/{category}/{objectId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"success": true,
"message": "Get Documentations By Object",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
GET /api/v1/core/document/{documentId}Get a document by its ID.Path Parametersstring
required
Example: “
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
string
Example:
"ba07a1c1-82f1-4a85-b598-c5bd2e5bfb1a".string
Example:
"tag".string
Example:
"5fe4b86b-d2a3-4c41-8ff9-2462f6724e7e".string
Example:
"governance_tag".string
Example:
"document".object[]
string
Example:
"2026-09-20T05:07:49.872544Z".string
Example:
"87efd845-c1f5-4c65-8a2a-1ecc91736c30".curl -X GET "https://<your-workspace>.prizmdata.ai/api/v1/core/document/{documentId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>"
Response
{
"success": true,
"message": "Get a document by its ID.",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {
"id": "ba07a1c1-82f1-4a85-b598-c5bd2e5bfb1a",
"category": "tag",
"object_id": "5fe4b86b-d2a3-4c41-8ff9-2462f6724e7e",
"object_qualified_name": "governance_tag",
"name": "document",
"content": [
{
"id": "block-513e285d87ad488793126debaa1a0fcd",
"type": "heading2",
"content": "Colgate Financial Policy",
"position": 0,
"textColor": "inherit",
"backgroundColor": "transparent"
}
],
"created_at": "2026-09-20T05:07:49.872544Z",
"created_by": "87efd845-c1f5-4c65-8a2a-1ecc91736c30"
}
}
POST /api/v1/core/document/listGet all documents with pagination, sorting, filtering and search.Request Bodyobject[]
object[]
string
Example:
"".boolean
Example:
false.boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
object[]
string
Example:
"ba07a1c1-82f1-4a85-b598-c5bd2e5bfb1a".string
Example:
"tag".string
Example:
"5fe4b86b-d2a3-4c41-8ff9-2462f6724e7e".string
Example:
"governance_tag".string
Example:
"document".object[]
string
Example:
"2026-09-20T05:07:49.872544Z".string
Example:
"87efd845-c1f5-4c65-8a2a-1ecc91736c30".integer
Example:
3.curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/core/document/list" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"pagination": {
"page": 1,
"pageSize": 10
},
"sorting": [],
"filters": [],
"search": "",
"export": false
}'
Response
{
"success": true,
"message": "Get all documents with pagination, sorting, filtering and search.",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {
"data": [
{
"id": "ba07a1c1-82f1-4a85-b598-c5bd2e5bfb1a",
"category": "tag",
"object_id": "5fe4b86b-d2a3-4c41-8ff9-2462f6724e7e",
"object_qualified_name": "governance_tag",
"name": "document",
"content": [
{
"id": "block-513e285d87ad488793126debaa1a0fcd",
"type": "heading2",
"content": "Colgate Financial Policy",
"position": 0,
"textColor": "inherit",
"backgroundColor": "transparent"
}
],
"created_at": "2026-09-20T05:07:49.872544Z",
"created_by": "87efd845-c1f5-4c65-8a2a-1ecc91736c30"
}
],
"total_count": 3
}
}
PUT /api/v1/core/document/{documentId}Update an existing document in the database.Path Parametersstring
required
Example: “
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X PUT "https://<your-workspace>.prizmdata.ai/api/v1/core/document/{documentId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"success": true,
"message": "Update an existing document in the database.",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
DELETE /api/v1/core/document/{documentId}Delete a document by its ID.Path Parametersstring
required
Example: “
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X DELETE "https://<your-workspace>.prizmdata.ai/api/v1/core/document/{documentId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>"
Response
{
"success": true,
"message": "Delete a document by its ID.",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}